DEV API changelog (2026-06-19)

Last updated: 2026-06-19 02:52:58 AEST

API Changelog 2026-06-18_08-04_33ef950 vs. 2026-06-19_02-43_233cba9

API Changes

GET /main-account/loans

  • added the required property content/items/initialBorrow to the response with the 200 status
  • added the required property content/items/totalFee to the response with the 200 status
  • added the required property content/items/totalRedraw to the response with the 200 status

GET /sub-account/loans

  • added the required property items/initialBorrow to the response with the 200 status
  • added the required property items/totalFee to the response with the 200 status
  • added the required property items/totalRedraw to the response with the 200 status

GET /sub-account/loans/{loanId}

  • added the required property items/initialBorrow to the response with the 200 status
  • added the required property items/totalFee to the response with the 200 status
  • added the required property items/totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/close/fiat

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/close/security

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/repayments/fiat

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/repayments/security

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/security/top-up

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status

POST /sub-account/loans/{loanId}/security/withdraw

  • added the required property initialBorrow to the response with the 200 status
  • added the required property totalFee to the response with the 200 status
  • added the required property totalRedraw to the response with the 200 status